---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libthrtimerinfo001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3DE0, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4E3B0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x502F0, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x506D8, symBinAddr: 0xE508, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51678, symBinAddr: 0xF4A8, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51680, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4E020, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4E024, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4E028, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4E178, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4E230, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4E234, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4E238, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4E23C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4E240, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4E248, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4E258, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4E260, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4E268, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4E270, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4E278, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4E280, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL8initInfo, symObjAddr: 0x4E2C8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4E2E8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9516, offset: 0x9516, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2DA4, symSize: 0xA0 }
  - { offsetInCU: 0x95AB, offset: 0x95AB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2D7C, symSize: 0x28 }
  - { offsetInCU: 0x960E, offset: 0x960E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2CFC, symSize: 0x80 }
  - { offsetInCU: 0x98A2, offset: 0x98A2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2E44, symSize: 0x34 }
  - { offsetInCU: 0x98FC, offset: 0x98FC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2E78, symSize: 0x20C }
  - { offsetInCU: 0x9AB5, offset: 0x9AB5, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3084, symSize: 0x28 }
  - { offsetInCU: 0x9B7E, offset: 0x9B7E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x30AC, symSize: 0xB0 }
  - { offsetInCU: 0x9C75, offset: 0x9C75, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x315C, symSize: 0xD8 }
  - { offsetInCU: 0x9DC6, offset: 0x9DC6, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3234, symSize: 0x24 }
  - { offsetInCU: 0x9E89, offset: 0x9E89, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3258, symSize: 0x168 }
  - { offsetInCU: 0xA065, offset: 0xA065, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x33C0, symSize: 0x104 }
  - { offsetInCU: 0xA316, offset: 0xA316, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x34C4, symSize: 0x3F8 }
  - { offsetInCU: 0xA53A, offset: 0xA53A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x38BC, symSize: 0x154 }
  - { offsetInCU: 0xA71E, offset: 0xA71E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3A10, symSize: 0xAC }
  - { offsetInCU: 0xA7F3, offset: 0xA7F3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3ABC, symSize: 0x14 }
  - { offsetInCU: 0xA82C, offset: 0xA82C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3AD0, symSize: 0x14 }
  - { offsetInCU: 0xA865, offset: 0xA865, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3AE4, symSize: 0x14 }
  - { offsetInCU: 0xA9E2, offset: 0xA9E2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3AF8, symSize: 0x1A8 }
  - { offsetInCU: 0xACEC, offset: 0xACEC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3CA0, symSize: 0x140 }
  - { offsetInCU: 0xAE8D, offset: 0xAE8D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4050, symSize: 0x1C0 }
  - { offsetInCU: 0xB16A, offset: 0xB16A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4210, symSize: 0x9C }
  - { offsetInCU: 0xB227, offset: 0xB227, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x42AC, symSize: 0x690 }
  - { offsetInCU: 0xBDB9, offset: 0xBDB9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9CB8, symBinAddr: 0x6030, symSize: 0x30 }
  - { offsetInCU: 0xBE45, offset: 0xBE45, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x493C, symSize: 0x74 }
  - { offsetInCU: 0xBEF5, offset: 0xBEF5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x49B0, symSize: 0xB0 }
  - { offsetInCU: 0xC000, offset: 0xC000, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4A60, symSize: 0x3C }
  - { offsetInCU: 0xC0F6, offset: 0xC0F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4A9C, symSize: 0x29C }
  - { offsetInCU: 0xC439, offset: 0xC439, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4D38, symSize: 0xD0 }
  - { offsetInCU: 0xC567, offset: 0xC567, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4E08, symSize: 0xC }
  - { offsetInCU: 0xC629, offset: 0xC629, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4E14, symSize: 0x22C }
  - { offsetInCU: 0xC8E4, offset: 0xC8E4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5040, symSize: 0x4 }
  - { offsetInCU: 0xC928, offset: 0xC928, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5040, symSize: 0x4 }
  - { offsetInCU: 0xC941, offset: 0xC941, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5044, symSize: 0x434 }
  - { offsetInCU: 0xCE96, offset: 0xCE96, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9100, symBinAddr: 0x5478, symSize: 0x4 }
  - { offsetInCU: 0xCEDA, offset: 0xCEDA, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9100, symBinAddr: 0x5478, symSize: 0x4 }
  - { offsetInCU: 0xCEF3, offset: 0xCEF3, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0x9104, symBinAddr: 0x547C, symSize: 0x60 }
  - { offsetInCU: 0xCF70, offset: 0xCF70, size: 0x8, addend: 0x0, symName: __ZL14checkTimerInfoP9_jvmtiEnvP14jvmtiTimerInfoS2_PKc, symObjAddr: 0x9164, symBinAddr: 0x54DC, symSize: 0x578 }
  - { offsetInCU: 0xD275, offset: 0xD275, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0x96DC, symBinAddr: 0x5A54, symSize: 0x1DC }
  - { offsetInCU: 0xD4BC, offset: 0xD4BC, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0x98B8, symBinAddr: 0x5C30, symSize: 0x68 }
  - { offsetInCU: 0xD556, offset: 0xD556, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x9920, symBinAddr: 0x5C98, symSize: 0x68 }
  - { offsetInCU: 0xD5F1, offset: 0xD5F1, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9988, symBinAddr: 0x5D00, symSize: 0x330 }
  - { offsetInCU: 0xDA0D, offset: 0xDA0D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9CE8, symBinAddr: 0x6060, symSize: 0x358 }
...
